List VMs
GET
/api/v1/vm
const url = 'https://console.cloudlogics.com/api/v1/vm';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://console.cloudlogics.com/api/v1/vm \ --header 'Authorization: <Authorization>'Retrieve virtual machines filtered by authenticated user’s owner and project
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”region
string
Region filter
status
string
Status filter
Responses
Section titled “Responses”List of VMs
Media typeapplication/json
Array<object>
object
availability_zone
string
flavor_id
string
flavor_name
string
host
string
id
string
image_id
string
image_name
string
name
string
networks
object
key
additional properties
Array<string>
os
string
power_state
integer
project
string
properties
object
key
additional properties
string
status
string
task_state
string
visibility
string
Examplegenerated
[ { "availability_zone": "example", "flavor_id": "example", "flavor_name": "example", "host": "example", "id": "example", "image_id": "example", "image_name": "example", "name": "example", "networks": { "additionalProperty": [ "example" ] }, "os": "example", "power_state": 1, "project": "example", "properties": { "additionalProperty": "example" }, "status": "example", "task_state": "example", "visibility": "example" }]Unauthorized
Media typeapplication/json
object
data
error
object
code
integer
message
string
page
object
next
string
prev
string
total_size
integer
Examplegenerated
{ "data": "example", "error": { "code": 1, "message": "example" }, "page": { "next": "example", "prev": "example", "total_size": 1 }}Internal server error
Media typeapplication/json
object
data
error
object
code
integer
message
string
page
object
next
string
prev
string
total_size
integer
Examplegenerated
{ "data": "example", "error": { "code": 1, "message": "example" }, "page": { "next": "example", "prev": "example", "total_size": 1 }}